using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class ComboBox
    {
        public static ComboBoxHandler Click(string value,int id, int repeatingTime = 0)
        {
            return HandlerProvider.ComboBoxHandler.Click(value,id, repeatingTime);
        }
        public static ComboBoxHandler Click(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ComboBoxHandler.Click(value, repeatingTime);
        }
        public static ComboBoxHandler DoubleClick(string value,int id, int repeatingTime = 0)
        {
            return HandlerProvider.ComboBoxHandler.DoubleClick(value, id, repeatingTime);
        }
        public static ComboBoxHandler Select(string value, int id, int repeatingTime = 0)
        {
            return HandlerProvider.ComboBoxHandler.Select(value, id, repeatingTime);
        }
        public static ComboBoxHandler Select(string value, string value2, int repeatingTime = 0)
        {
            return HandlerProvider.ComboBoxHandler.Select(value, value2, repeatingTime);
        }
        public static ComboBoxHandler Expand(string value,int repeatingTime = 0)
        {
            return HandlerProvider.ComboBoxHandler.Expand(value, repeatingTime);
        }
        public static bool Exist(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.ComboBoxHandler.Exist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool IsVisible(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.ComboBoxHandler.IsVisible(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
    }
}
